Description

PaspaboTka knacca LuoXMTM3aLMmM 0N KPEMHEEBOW YacTu deTekTopa yxe bbina npomssefeHa B
3apave:http://er.jinr.ru/develop/issues/63. Heobxoanmo npountaTb TEKCT 3a4a4mM AN O3HOKOMIIEHUS.

B pamkax naHHoi 3ana4um Heobxoaumo 0o6aBuTb B AMaXuUTM3aumo obpaboTtky nonHTos B Csl. To ecTb TakXxe nepevMeHoBaTb
knacc ERRTelescopeDigi B ERRTelescopeSiDigi. MeTonbl 3apatolune napameTpbl XxapakTepU3yHoWwme nopor 1 Halle
npencTasneHne o kayeTcae cuctembl cunThiBaHmsa SetElossThreshold, SetElossSigma,SetTimeSigma nepevnmeHosaTh B
SetSiElossThreshold, SetSiElossSigma,SetSiTimeSigma. Y7106kl 661710 NOHATHO, YTO OHU OTHOCATCS UMEHHO K KPEMHEEBOW
noacucTeme.

Danee Heobxonmmo BeecTn knacc ERRTelescopeCsIDigi onvcbiBatowuii curHan Ha gpoToymHoxmTene kpuctana Csl. U B
ERRTelescpeDegitizer nponucate oyHKLUUIO AN 3anonHeHUst aTux 06bekToB. OTMeuy ele pas YTo Mbl LOJIXHbI NPOCYMMUMPOBATb
9Hepruo NOMHTOB B CYMTHIBaKOLWEM 06bEME, a 32 BpEMS MPUHATL BPEMSi CaMoro NepBoro NouHTa.

Tak>xe Heobx0anMo BBECTH nopor Ha 3anncb CUrHana n napamMeTpbl pa3Ma3dbiBaHNA BPEMEHUN U SHEPIrUn.

Ha pnaHHOM aTane nHGopMaLmio 0 KOOPAMHATE Mbl TEPSIEM U ONEPUPYEM TONbKO HOMEPaMU KaHaoB KpUCTasoB

History

#1 - 08/17/2017 07:43 AM - Vitaliy Schetinin

- Assignee changed from Anonymous to Anonymous

#2 - 08/17/2017 06:35 PM - Vitaliy Schetinin

YTo-TO HE TO AenaeTcs B BeTke. 3a4eM 6bin nepemmeHoBaH ERRTelescopeDigitizer 8 ERRTlescopeSiDigitizer?
LenaTtb HECKONbKO AMAXMNTAR3EPOB HE HALOW Y HAaC HET TaKoro OrpaHNYeHnst, YTO Tack MoXeT 06pobaTbiBaTh TOMBLKO OAHY KONNEKLMIO.

Mpumep onaxuntusatopa obpabaTbiBatowero ABe KOANEKLUA NOUHTOB TYT:
https://github.com/ExpertRootGroup/er/blob/beamdet/BeamDet/ERBeamDetDigitizer.cxx

Peyb wna ncknoymTensHo o nepenMeHoBaHMM Knacca AaHHbIX 414 Toro, 4TOObI BBECTM €LEe OAMNH TUM ANOXMU.

#3 - 08/17/2017 07:08 PM - Anonymous
HerT, HeT Tam Bce T0. BbIno He To, celtyac To.
Ynanun unx.

3aBTpa HayHeM yxe paboTty ¢ Csl.
Ham xe nns Hayana Hy>XHO caenatb ANOXUTA3AUMIO CUIbHO NMOXOXYH0 Ha OHyto ¢ Si ?
W Tonbko nocne aToro MoxHo 6yaeT oymaTb No NOBOAY NPUBNMAEHUS AUOXUTU3ALMM K TOR , YTO OT Hac xoueT Vratislav ?
https://github.com/ExpertRootGroup/er/blob/beamdet/BeamDet/ERBeamDetDigitizer.cxx

#4 - 08/17/2017 07:55 PM - Sergey Belogurov

O6paTtunTe BHUMaHwe, 4To B Csl dpopmyna Ans aHepreTN4ecKoro paspeleHuns apyras, Hexenm B KpeMHuu. CM cTpoku oT 94 -it

B https:/github.com/ExpertRootGroup/er/blob/dev/Gadast/ERGadastDigitizer.cxx. Tonbko B Fanact 6bina 3aBUCUMOCTb KO3 PULUEHTOB (DOPMY b
0T KOOpAMHaThI, a ¥ Hac aTo ByayT NPOCTO KOHCTaHTHI. 15 Ha4ana MOXHO B35iTb @ Takoe, 4TO CMrMa (OHa e KOpPeHb U3 ANCTepcun) AenuTb Ha
SHEPruto paBHo 7% npu aHeprun= 1 MaB, b=2% [anble yTo4HUM U3 KannbpoBOYHOro dhaina Ans anbbla-4acTull, KOTopbIl ecTb y BpaTtucnasa. U

elle, He Haao NpeBpawarb peamaiH B yat. MoTom Tsxxeno 6yaet uutath. Jlydwe naxe kakme-To BOMPOCh B cKavne unm no Mainy obcyxnatb, a
clofa nucaTb pestome.

#5 - 08/18/2017 08:31 AM - Vitaliy Schetinin

Egor Kovalenko nucan(a):

Hert, HeT TaM Bce T0. Bbino He To, ceivac To.
Ynanun nx.

3aBTpa HayHeM yxe paboTty ¢ Csl.
Hawm xe nns Havana Hy>XXHo caenatb AMAXUTM3ALMIO CUIbHO NMOXOXYIO Ha OHYto € Si ?
W Tonbko nocne aToro MoxHo 6yneTt gymatb no noBoay NpubnnaeHus MOXUTM3aumm K Tol , 4To OT Hac xoueT Vratislav ?

B pamkax AaHHoi 3aaayn Bam Booblie MOXHO He aymaTtb Npo 3aaadvy Bpatucnasa. 910 npocto obwas AMAXMTU3aLMS AN NPOVN3BOSIbHOIO
RTelescope

#6 - 08/18/2017 08:35 AM - Vitaliy Schetinin

Tak>e npouwy 0TMETUTb, 4TO ANIAXNTN3aumMa Ans Si Ha faHHbIi MOMEHT paboTaeT He BepHO. Tak Kak Kax bl 3aX XeHbl YyBCTBUTENbHbIA
06bEeKM reHepupyeT 0uH uaxu. B KOTOpoM ecTb 1 HOMep cekTopa 1 Homep cpuna. 970 6bino BpeMeHHoe pelwexune. Ha camom pene B SiDigi
HY>XHO BBECTM napameTp type = [Sector,Ring] n reHepupoBaTth ABa ANAXMW. OAWH - CEKTOP, BTOPOW - KONbLO

#7 - 08/18/2017 08:37 AM - Vitaliy Schetinin

Sergey Belogurov nucan(a):

O6paTtunTe BHUMaHWE, 4To B Csl dpopmyna aons sHepPreTUYECKOro paspelleHmns opyras, Hexenm B KpeMHuu. CM cTpoku oT 94 -it

B https:/github.com/ExpertRootGroup/er/blob/dev/Gadast/ERGadastDigitizer.cxx. Tonbko B MagacT 6bina 3aBUCMMOCTb KO3 PULMEHTOB
oopMynbl OT KOOPAMHATHI, @ Y Hac 3To ByAyT MPOCTO KOHCTaHThI. [Ns Ha4ana MOXHO B35iTb @ TAKOe, YTO CUrMa (OHa Xe KOPEHb U3
ovcnepcun) AenvTb Ha SHepPruto paBHo 7% npu sHeprun= 1 MaB, b=2% [anblwe yTo4YHUM U3 KannubpoBOYHOro dhaina ansa anbbla-4acTul,
KoTOpbIil ecTb y Bpatucnasa. U ewe, He Hano npespaartb peamaiiH B yat. lNotom Tsaxeno 6ynet uitath. Jlyywe Aaxe Kakue-1o BOMPOCH B
ckaiine unu no mainny obcyxnatb, a ctoaa nucatb pestome.

S BOT MCKNIOYUTENBHO 3a TO, 4TObbI KOMMEHTapumn K 3agade npespaulaTtb B 4art. Pesiome fonXxHO nogHMMaTbCS B BEpX B TEKCT onncaHus.
BbickuBaTb NOTOM BCE MO NOYTE U aymaTtb Koro nobaBnn B KOMWK, KOTo HeT - YTOMUTENbHO
#8 - 08/18/2017 10:40 AM - Sergey Belogurov

Xopolwo, 4at, 3Ha4mT 4yat. Ecnn He 3abbiBaTh akTyanuanpoBaTtb OCHOBHOE OMNWCaHWe, 310 npuemMaemo. Ytobbl B 6ynyweMm, Ans NOHUMaHNUS 4TO 1
Kak ObINo caenaHo, 4OCTaTo4HO BblNo YATaTh TONbKO OCHOBHOEe onucaHue. Mo nosoay "BeTkn ¢ ERRTelescopeSiDigi, koTopble xpaHsiT B cebe
VNHOOPMaLIMIO C KaKOW MMEHHO MO CHETY CTaHLUMW TeNeckona OHW CHATbLI, NpUuHaanexart KonbLam Uam cekTopam, Homep kaHana ", Mbl yxe
ctankusanuce B beam Det 1 cTonkHEMes elwe €To pas, 4To AN PyYHOro aHanmaa ¢ nomouwoio treeViewer Heobxoammo kaxapivi Tvun digi knacTb B
CBOIO BETKY. Kak Mbl yxe o6cy>K,|1an|/| Cc BVITaﬂI/IeM, KOO aHannsa, BbIMOHSEMbIV Kak Tack, BMoJjiHe MOXHO HanucaTb Tak, 4106 6pan|/|0b ANXN N3
BCEX BETOK.

#9 - 08/18/2017 05:21 PM - Anonymous

Butanuit, 4to monxHo 6biTb B digi? Y Hac B npouecce 06CyXAeHUS CNOXMI0Ch MHEHME, YTO B KOHLIE Mbl LONXKHbI NOAY4nTb Konnekumio digi, B
KaxX oM OTAeNbHOM 3K3eMMNAspe KOTOPOi COAePXMTCA UHpopMaLns:

1) Homep Teneckona (1-bih nAn 2-0i)
2) HomMep neTekTopa ons Si
3) Homep kpucTanna ang getektopa Csl unu Tin (KONMbLO MM CEKTOP) M HOMEP 3TOr0 Camoro KonbLa unu cektopa ansa Si

4) cyMMapHoe KONNMYECTBO HEPr UM (CyMMa 3Heprui no novHTam) B COOTBETCTBYIOWEM KpUCTanne / Konble / cexTope

Hanpwumep, y Hac ecTb digi ons Si, roe Homep Teneckona = 1, Homep geTtekTopa = 2 (BTopol getekTop un3 Si), side = 1 (1 - cekTop, 0
-KOMbLO),HOMEP, B AaHHOM cnyyae, cektopa = 5, aHeprus = 2100 MaB (cymmapHas aHeprus, B 4aHHOM cryyae, cektopa Neb)

Wnwn, Hanpumep, ecTb digi ans Csl, roe Homep Teneckona = 1, Homep kpuctanna = 5, aHeprus = 2500 MaB (cymmapHas aHeprus, B JaHHOM criyyae,
5 kpuctanna)

#10 - 08/21/2017 07:11 PM - Vitaliy Schetinin

Bbl BCce npaBuibHO NOHANW. TONbKO CO34aeTCs He KONNEKLUUS a HECKONbKO Konnekuuii, a umeHo RTelescopeSit(2)DigiRing(knacc
ERRTelescopeSiDigi), RTelescopeSii1(2)DigiSector, RTelescopeCsl1(2)Digi(knacc ERRTelescopeCsIDigi)... 9T0 Hy>XHO ANs NPOCTOTbI Py4YHOro
aHanusa o KOTOpoW Nucanoch Bbllwe.

MeTon AddDigi monxeH ctatb 60nee NHTENEKTyaNbHbIM 1 YMEHTb MNCATb B HYXHYIO KONMEKLMIO.
